- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.watchlists/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.watchlists/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.watchlists/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.watchlists/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.watchlists/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.watchlists/list#body.ListWatchlistsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.watchlists/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.watchlists/list#body.aspect_1)

**Full name**: projects.locations.instances.watchlists.list

Lists all watchlists for the given instance.

### HTTP request

`GET https://{endpoint}/v1/{parent}/watchlists`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of watchlists. Format: `projects/{project}/locations/{location}/instances/{instance}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of watchlists to return. The service may return fewer than this value. If unspecified, at most 200 watchlists will be returned. The maximum value is 200; values above 200 will be coerced to 200. |
| `pageToken` | `string` Optional. A page token, received from a previous `watchlists.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `watchlists.list` must match the call that provided the page token. |
| `filter` | `string` Optional. Which watchlist to return in aip.dev/160 form. Currently, only the following filters are supported: - `watchlistUserPreferences.pinned=true` - `has_entity([ENTITY_INDICATOR],[ENTITY_TYPE])` - `has_entity([ENTITY_INDICATOR],[ENTITY_TYPE],[NAMESPACE])` |

### Request body

The request body must be empty.

### Response body

Response message for listing watchlists.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "watchlists": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.watchlists#Watchlist`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `watchlists[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.watchlists#Watchlist`)`` Optional. The watchlists from the specified instance. |
| `nextPageToken` | `string` Optional. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.watchlists.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).